# Class CIM_OrderedMemberOfCollection
extends CIM_MemberOfCollection

CIM_OrderedMemberOfCollection is an aggregation used to establish an ordered membership of ManagedElements in a Collection.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_MemberOfCollection
|
+--CIM_OrderedMemberOfCollection

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | CIM_OrderedMemberOfCollection is an aggregation used to establish an ordered membership of ManagedElements in a Collection.
UMLPackagePath | string | CIM::Core::Collection
Version | string | 2.10.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AssignedSequence | uint64 |

Description

string

AssignedSequence is an unsigned integer 'n' that indicates the relative position of members within a Collection. When 'n' is a positive integer, it indicates a place in the sequence of members, with smaller integers indicating earlier positions in the sequence. The special value '0' indicates 'don't care'. If two or more members have the same non-zero sequence number, then the ordering between those members is irrelevant, but they must all be ordered at the appropriate place in the overall sequence. A series of examples will make ordering of members clearer: If all members have the same sequence number, regardless of whether it is '0' or non-zero, any order is acceptable. o The values: 1:MEMBER A 2:MEMBER B 1:MEMBER C 3:MEMBER D indicate two acceptable orders: A,C,B,D or C,A,B,D, because A and C can be ordered in either sequence, but only at the '1' position. Note that the non-zero sequence numbers do not need to start with '1', and they do not need to be consecutive. However, the sequencenumbers must reflect their relative magnitude.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---

### Propagated Association References

Name | Class Origin | Reference Class
--- | --- | ---

## Class Methods